# Generated by Django 2.1.7 on 2019-03-14 14:42

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(max_length=100, unique=True)),
                ('name', models.SlugField(max_length=100)),
            ],
            options={
                'ordering': ('slug',),
            },
        ),
        migrations.CreateModel(
            name='CustomValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('key', models.CharField(db_index=True, max_length=100)),
                ('value', models.TextField(blank=True, null=True)),
                ('kind', models.CharField(choices=[('str', 'string'), ('bool', 'boolean'), ('float', 'number'), ('list', 'array'), ('dict', 'object')], default='str', max_length=5)),
            ],
            options={
                'db_table': 'blog_post_meta',
                'ordering': ('key',),
            },
        ),
        migrations.CreateModel(
            name='Post',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('source', models.CharField(db_index=True, max_length=100)),
                ('remote_id', models.CharField(db_index=True, max_length=255)),
                ('title', models.CharField(max_length=280)),
                ('body', models.TextField(blank=True, null=True)),
                ('created', models.DateTimeField(auto_now_add=True)),
                ('updated', models.DateTimeField(auto_now=True, null=True)),
                ('published', models.DateTimeField(blank=True, null=True)),
                ('level', models.CharField(choices=[('info', 'info'), ('success', 'success'), ('warning', 'warning'), ('danger', 'danger')], default='info', max_length=7)),
                ('categories', models.ManyToManyField(related_name='posts', to='blog.Category')),
                ('parent', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='updates', to='blog.Post')),
            ],
            options={
                'ordering': ('-published',),
                'get_latest_by': 'published',
            },
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(max_length=100, unique=True)),
                ('name', models.SlugField(max_length=100)),
            ],
            options={
                'ordering': ('slug',),
            },
        ),
        migrations.AddField(
            model_name='post',
            name='tags',
            field=models.ManyToManyField(related_name='posts', to='blog.Tag'),
        ),
        migrations.AddField(
            model_name='customvalue',
            name='post',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='custom_fields', to='blog.Post'),
        ),
        migrations.AlterUniqueTogether(
            name='customvalue',
            unique_together={('post', 'key')},
        ),
    ]
